/**
 *
 * Created by Kyle Benk kjbenk@gmail.com
 *
 * 12/14
 */

jQuery(document).ready(function($) {

	$("#nnr_plugin_content").fadeIn();

	// Load stats via AJAX

	$.post(ajaxurl, {
			'action': 'nnr_of_emails_load',
			'start_date' : getQuerystring(nnr_of_emails_data.prefix_dash + 'start-date'),
			'end_date' : getQuerystring(nnr_of_emails_data.prefix_dash + 'end-date'),
			'optin_fire_id' : getQuerystring('optin_fire_id', false)}, function(response) {

		//response = jQuery.parseJSON(response);

		$("#" + nnr_of_emails_data.prefix_dash + "loading-stats").remove();
		$(response).insertAfter("#" + nnr_of_emails_data.prefix_dash + "before-table");

		$($.bootstrapSortable);

	});

	// Date Pickers

	$('#' + nnr_of_emails_data.prefix_dash + 'start-datepicker').datetimepicker({
        format: 'MM/DD/YYYY'
    });

	$('#' + nnr_of_emails_data.prefix_dash + 'end-datepicker').datetimepicker({
        format: 'MM/DD/YYYY'
    });

	$('#' + nnr_of_emails_data.prefix_dash + 'end-datepicker')
		.data("DateTimePicker")
		.maxDate( moment(nnr_of_emails_data.today, "M/D/Y") );

	$('#' + nnr_of_emails_data.prefix_dash + 'start-datepicker')
		.data("DateTimePicker")
		.maxDate( moment(nnr_of_emails_data.today, "M/D/Y") );

	$('#' + nnr_of_emails_data.prefix_dash + 'end-datepicker')
		.data("DateTimePicker")
		.minDate( $('#' + nnr_of_emails_data.prefix_dash + 'start-datepicker').data("DateTimePicker").date() );

	$('#' + nnr_of_emails_data.prefix_dash + 'start-datepicker').on("dp.change",function (e) {
       $('#' + nnr_of_emails_data.prefix_dash + 'end-datepicker').data("DateTimePicker").minDate(e.date);
    });

    $('#' + nnr_of_emails_data.prefix_dash + 'end-datepicker').on("dp.change",function (e) {
       $('#' + nnr_of_emails_data.prefix_dash + 'start-datepicker').data("DateTimePicker").maxDate(e.date);
    });

    function getQuerystring(key, default_) {
	  if (default_==null) default_="";
	  key = key.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
	  var regex = new RegExp("[\\?&]"+key+"=([^&#]*)");
	  var qs = regex.exec(window.location.href);
	  if(qs == null)
	    return default_;
	  else
	    return qs[1];
	}
});